PUSHDIVERT(-1)
#
# This is the definition for the sms mailer (mail-to-sms gateway).
#
# By default (cf ``LOCAL_RULE_0'' below), the sms mailer expects to process
# mail sent to the domain sms.$m. 
#
# If this one is not wanted, you may comment it out and
# use instead a mailertable.
# ``FEATURE(`mailertable',`hash -o /etc/mail/mailertable')''
# with a line such as :
#    dom.ain.for.sms   sms:dom.ain
#
# The mail-to-sms gateway expects the user part of the email addresses 
# to be the internationnal GSM phone number, as in : 393341234567@sms.dom.ain
#

ifdef(`SMS_MAILER_DOMAIN',,
    `define(`SMS_MAILER_DOMAIN',sms.$m)')
ifdef(`SMS_MAILER_PATH',,
	`define(`SMS_MAILER_PATH', /usr/local/bin/mail-to-sms)')
ifdef(`SMS_MAILER_ARGS',,
	`define(`SMS_MAILER_ARGS', mail-to-sms --recipient=$u@$h  --use-original-from  --include-short-from)')
ifdef(`SMS_MAILER_MAX',,
	`define(`SMS_MAILER_MAX', 10000)')

POPDIVERT
####################################
###   SMS Mailer specification   ###
####################################

VERSIONID(`@(#)sms.m4	8.11 (Pjb) 2000-02-06')

Msms,	P=SMS_MAILER_PATH, F=DFMhu, S=10/30, R=20/40, M=SMS_MAILER_MAX, T=X-Unix,
	A=SMS_MAILER_ARGS

#``LOCAL_RULE_0''
#R$+ <@ SMS_MAILER_DOMAIN>	$#sms $@ $j $: $1 < @ SMS_MAILER_DOMAIN >

LOCAL_CONFIG
CPSMS


